IntegrationsKlaviyo

Get one campaign including its messages.

POST
/integrations/connections/{connection_id}/providers/klaviyo/campaigns/get

Get one campaign including its messages.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/klaviyo/campaigns/get" \  -H "Content-Type: application/json" \  -d '{    "campaign_id": "example"  }'
{  "campaign_id": "example",  "name": "Customer documents",  "status": "ACTIVE",  "archived": false,  "audiences": {    "included": [],    "excluded": []  },  "send_strategy": {    "method": "GET",    "datetime": "example",    "date": "example",    "throttle_percentage": 0,    "is_local": false,    "send_past_recipients_immediately": false  },  "use_smart_sending": false,  "tracking_options": {    "add_tracking_params": false,    "custom_tracking_params": [],    "is_tracking_opens": false,    "is_tracking_clicks": false  },  "created_at": "example",  "scheduled_at": "example",  "updated_at": "example",  "send_time": "example",  "campaign_message_ids": [],  "tag_ids": [],  "messages": []}